3

I tried to export my Qgis projects to mapserver, using RT mapserver extension, because there is not any other extension in my version of QGis.(QGis 2.0.1 Dufour on ubuntu 12.04 LTS). After installing the extension, when i try to export, there is the error:

  Une erreur est apparue lors de l'exécution du code python :

Traceback (most recent call last): File "/home/jannes/.qgis2/python/plugins/rt_mapserver_exporter/plugin.py", line 65, in run from .mapfileexportdlg import MapfileExportDlg File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 453, in _import mod = _builtin_import(name, globals, locals, fromlist, level) File "/home/jannes/.qgis2/python/plugins/rt_mapserver_exporter/mapfileexportdlg.py", line 30, in import mapscript File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 453, in _import mod = _builtin_import(name, globals, locals, fromlist, level) ImportError: No module named mapscript

Version de Python : 2.7.3 (default, Sep 26 2013, 20:26:19) [GCC 4.6.3]

Version de QGIS : 2.0.1-Dufour Dufour, exported

Chemin vers Python : ['/usr/share/qgis/python/plugins/processing', '/usr/share/qgis/python', '/home/jannes/.qgis2/python', '/home/jannes/.qgis2/python/plugins', '/usr/share/qgis/python/plugins', '/usr/lib/python2.7', '/usr/lib/python2.7/plat-linux2', '/usr/lib/python2.7/lib-tk', '/usr/lib/python2.7/lib-old', '/usr/lib/python2.7/lib-dynload', '/usr/local/lib/python2.7/dist-packages', '/usr/lib/python2.7/dist-packages', '/usr/lib/python2.7/dist-packages/PIL', '/usr/lib/python2.7/dist-packages/gst-0.10', '/usr/lib/python2.7/dist-packages/gtk-2.0', '/usr/lib/pymodules/python2.7', '/usr/lib/python2.7/dist-packages/ubuntu-sso-client', '/usr/lib/python2.7/dist-packages/ubuntuone-client', '/usr/lib/python2.7/dist-packages/ubuntuone-control-panel', '/usr/lib/python2.7/dist-packages/ubuntuone-couch', '/usr/lib/python2.7/dist-packages/ubuntuone-installer', '/usr/lib/python2.7/dist-packages/ubuntuone-storage-protocol', '/usr/lib/python2.7/dist-packages/wx-2.8-gtk2-unicode', '/usr/share/qgis/python/plugins/fTools/tools', '/home/jannes/QGis workspace']

How can I solve this problem please?

1

enter image description here

for ubuntu users :

open software center and search "python-mapscript" and install "python library for MapServer" and enjoy using "RT mapserver exporter".

1

Your installation misses the python mapscript, or it can not find it.

This is a known bug of the plugin, and has a ticket already: http://hub.qgis.org/issues/8161

For Windows users, If you have installed QGIS using OSGEO4W setup, you can re-run it by starting osgeo4w-setup.exe again, select advanced installation mode, toggle the Viewto full , and select mapscript-python from the alphabetical list.

For the standalone installer, I have not yet found a solution :-(

Update python-mapscript is now part of the mapserverpackage on the Ubuntugis unstable ppa.

Be aware that the plugin is still listed as experimental.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.